<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <EditText
        android:id="@+id/username_field"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@null"
        android:autofillHints="username"
        android:hint="@string/string_username"
        android:inputType="text"
        app:layout_constrainedHeight="true"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toTopOf="@+id/password_field"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHeight_min="48dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintWidth_max="320dp"
        app:layout_constraintWidth_min="250dp"
        app:layout_constraintWidth_percent="0.25" />

    <EditText
        android:id="@+id/password_field"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@null"
        android:autofillHints="password"
        android:hint="@string/string_password"
        android:inputType="textPassword"
        app:layout_constrainedHeight="true"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toTopOf="@+id/login_button"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHeight_min="48dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/username_field"
        app:layout_constraintWidth_max="320dp"
        app:layout_constraintWidth_min="250dp"
        app:layout_constraintWidth_percent="0.25" />

    <Button
        android:id="@+id/login_button"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:text="@string/string_login"
        app:layout_constrainedHeight="true"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toTopOf="@+id/register_button"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHeight_min="48dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/password_field"
        app:layout_constraintWidth_max="320dp"
        app:layout_constraintWidth_min="250dp"
        app:layout_constraintWidth_percent="0.25" />

    <Button
        android:id="@+id/register_button"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:text="@string/string_register"
        app:layout_constrainedHeight="true"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toTopOf="@+id/backup_button"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHeight_min="48dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/login_button"
        app:layout_constraintWidth_max="320dp"
        app:layout_constraintWidth_min="250dp"
        app:layout_constraintWidth_percent="0.25" />

    <Button
        android:id="@+id/backup_button"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:text="@string/string_backup"
        app:layout_constrainedHeight="true"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="@id/restore_button"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHeight_min="48dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/login_button"
        app:layout_constraintWidth_max="320dp"
        app:layout_constraintWidth_min="250dp"
        app:layout_constraintWidth_percent="0.25"
        android:visibility="gone"/>
    <Button
        android:id="@+id/restore_button"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:text="@string/string_restore"
        app:layout_constrainedHeight="true"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toTopOf="@id/logout_button"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHeight_min="48dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/backup_button"
        app:layout_constraintWidth_max="320dp"
        app:layout_constraintWidth_min="250dp"
        app:layout_constraintWidth_percent="0.25"
        android:visibility="gone"/>
    <Button
        android:id="@+id/logout_button"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:text="@string/string_logout"
        app:layout_constrainedHeight="true"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHeight_min="48dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/restore_button"
        app:layout_constraintWidth_max="320dp"
        app:layout_constraintWidth_min="250dp"
        app:layout_constraintWidth_percent="0.25"
        android:visibility="gone"/>

</androidx.constraintlayout.widget.ConstraintLayout>